//
//  AppDelegate.swift
//  Lecture15_TimerAppBasicStudents
//
//  Created by Hamza on 6/09/18.
//  Copyright © 2018 Hamza. All rights reserved.
//

import Cocoa

@NSApplicationMain
class AppDelegate: NSObject, NSApplicationDelegate {

    @IBOutlet weak var window: NSWindow!

    var timerWindows = [NSWindowController]()

    // Outlets to the menus that we added
    @IBOutlet weak var outletStartStopMenu : NSMenuItem!
    @IBOutlet weak var outletStopMenu: NSMenuItem!
    @IBOutlet weak var outletResetMenu : NSMenuItem!
    
    @IBAction func newClockWindow(_ sender: Any) {
        let clockWindow = ClockController();
        timerWindows.append(clockWindow) ;
        clockWindow.showWindow(self)
    }

    func applicationDidFinishLaunching(_ aNotification: Notification) {
        newTimerWindow(self);
    }

    @IBAction func newTimerWindow(_ sender: AnyObject){
        let timerWindow = TimerWindowController();
        timerWindows.append(timerWindow) ;
        timerWindow.showWindow(self)
    }

    func applicationWillTerminate(_ aNotification: Notification) {
    }
}

